Charger Forums banner
1 - 3 of 3 Posts

·
Registered
Joined
·
103 Posts
Discussion Starter · #1 ·
Do I need to install all of the previous updates or can I just go with the last one. Also, the last release showing on the website (http://mofv.com/mygig/) is 1.220 but the one just before that is 9.807 (MyGiG with NAV). Are these updates for different parts of the software or are they the same thing?
 

·
Registered
Joined
·
689 Posts
I went with the latest on mine.. I emailed them about the same but didn't get a reply..

Mine's working fine.

JK
 

·
Premium Member
Joined
·
4,001 Posts
Do I need to install all of the previous updates or can I just go with the last one. Also, the last release showing on the website (http://mofv.com/mygig/) is 1.220 but the one just before that is 9.807 (MyGiG with NAV). Are these updates for different parts of the software or are they the same thing?
You only need to install the current version. If you've got a 2008 with nav, that's an RER MyGig. No clue why the numbering changed to 1.220 but if it's listed as current, it should be.

Looks like there's a 2.xxx release out right now, and there's a new 2.xxx release scheduled to come out in a couple weeks. Check the forums over there.

There are generally a maximum of three updates for a given radio:
1} The radio software itself.
2} The gracenotes database (optional).
3} The nav maps (optional).

Gracenotes is in a different section of mofv, and maps aren't there at all because they're copyrighted material.
 
1 - 3 of 3 Posts
Top